import type { UmbCollectionItemPickerModalData, UmbCollectionItemPickerModalValue } from './types.js';
import type { PropertyValueMap } from '../../../../external/lit/index.js';
import { UmbModalBaseElement } from '../../modal/index.js';
export declare class UmbCollectionItemPickerModalElement extends UmbModalBaseElement<UmbCollectionItemPickerModalData, UmbCollectionItemPickerModalValue> {
    #private;
    private _selectionConfiguration;
    private _hasSelection;
    private _isSearchable;
    private _searchQuery?;
    constructor();
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbCollectionItemPickerModalElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-collection-item-picker-modal': UmbCollectionItemPickerModalElement;
    }
}
